<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop, Watch } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import { api } from "~/common/constaint";
import _ from "lodash";
@Component({})
export default class AdminStoreFrontComponent extends Vue {
	config = {
		page: 1,
		limit: 25,
		search: "",
	};
	page = 1;
	totalPage = 1;
	listDomain = [];
	loadingTable = false;
	domain = "";

	created() {
		this.onGetListDomain();
	}

	async onGetListDomain() {
		try {
			this.loadingTable = true;
			const res = await this.$api.domain.list(this.config);
			if (res?.data?.data) {
				const { total } = res.data;
				this.totalPage = Math.ceil(total / this.config.limit);
				this.listDomain = res.data.data;
			}
		} catch (error) {
			apiErrorHandler(error, this);
		} finally {
			this.loadingTable = false;
		}
	}

	onRedirectPage() {
		this.config.page = this.page;
		this.onGetListDomain();
	}

	@Watch("config.page")
	changedPage() {
		this.onGetListDomain();
	}
}
</script>

<style></style>

